<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
$temp_set = $set;
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_set_sys', null, 'index.php?' . SID);
adm_check();

$set['title'] = __('Запрет регистрации логинов');
include_once '../sys/inc/thead.php';
title();

if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name'] != NULL) {
    $time_last = time();
    $name = stripcslashes(htmlspecialchars($_POST['name']));

    if (strlen2($_POST['name']) > 32) {
        $err[] = __('Длина логина превышает 32 символа');
    } else {

        if (dbresult(dbquery("SELECT COUNT(*) FROM `login_block` WHERE `name` = '" . $_POST['name'] . "'"), 0) != 0) {
            $err[] = __("Такой логин " . $name . " уже был добавлен ранее");
        } else {

            dbquery("INSERT INTO `login_block` (`name`, `user`, `time`) VALUES ('$name', '$user[id]', '$time_last')");

            $_SESSION['message'] = __('Логин успешно добавлен');
            exit(header('Location: ?'));
        }
    }
}

if (isset($_GET['del']) && dbresult(dbquery("SELECT COUNT(*) FROM `login_block` WHERE `id` = '" . intval($_GET['del']) . "'"), 0)) {

    dbquery("DELETE FROM `login_block` WHERE `id` = '" . intval($_GET['del']) . "' LIMIT 1");
    $_SESSION['message'] = __('Логин успешно удален');
    exit(header('Location: ?'));
}

err();
aut();

echo '<div class = "ui segments">';
echo '<div class = "ui yellow inverted segment">' . __('Укажите название логина, которое запрещено будет регистрировать на сайте!') . '</div>';
echo "<form method=\"post\" class='ui form segment' action=\"?add\">\n";

echo "Логин:<br />\n<input name=\"name\" required value=\"\" type=\"text\" /><br /><br />\n";
echo "<button class='ui blue button' name='add'><i class='mdi mdi-check'></i> " . __('Добавить') . "</button>";
echo "</form>\n";

$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `login_block` "), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = dbquery("SELECT * FROM `login_block` ORDER BY `time` DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo "<div class='ui segment'>";
    echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
    echo "</div>";
}

while ($post = dbassoc($q)) {

    $name = stripcslashes(htmlspecialchars($post['name']));

    echo '<div class ="ui segment">';
    echo "<a href='user_block.php?del=$post[id]&amp;page=$page' style='float:right'><i class='mdi mdi-delete'></i></a>\n";

    echo __('Логин') . ': <b style="color:green">' . $name . '</b></br>';
    echo __('Автор') . ': ' . user::nick($post['user'], 1, 1, 1) . ' ' . date::timek($post['time']) . '';

    echo "</div>";
}


if ($k_page > 1) {
    str("login_block.php?&amp;", $k_page, $page);
} // Вывод страниц




if (user_access('adm_panel_show')) {
    echo "<div class='ui segment'>";
    echo "<a href='/adm_panel/'><i class='mdi mdi-chevron-double-left'></i> " . __('Панель управления') . "</a>";
    echo "</div>";
}
echo "</div>";
include_once '../sys/inc/tfoot.php';
?>