<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title'] = __('Редактор сообщений');

require_once H . 'sys/inc/thead.php';

title();
aut();
err();

if (isset($_GET['id'])) {
    $post = dbassoc(dbquery("SELECT * FROM `guest` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1"));
    $ank = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
} else {
    $_SESSION['err'] = __('Сообщение не найдено');
    header("Location: index.php?" . SID);
    exit;
}

if (dbresult(dbquery("SELECT COUNT(*) FROM `guest` WHERE `id` = '$post[id]'"), 0) == 0) {
    $_SESSION['err'] = __('Сообщение не найдено');
    header("Location: index.php?" . SID);
    exit;
}


if (isset($user) && $user['level'] > 2 || $user['id'] == $post['id_user'] && $post['time'] > time() - 600) {

    if (isset($_GET['ok']) && isset($_POST['msg'])) {

        $msg = esc(stripcslashes(htmlspecialchars($_POST['msg'])));

        if (strlen2($msg) < 2) {
            $err = __('Слишком короткое сообщение');
        }

        if (strlen2($msg) > $set['guest_max_post']) {
            $err = __('Слишком длинное сообщение');
        }

        if (!isset($err)) {
            dbquery("UPDATE `guest` SET `msg` = '$msg', `time_edit` = '$time', `id_user_edit` = '$user[id]' WHERE `id` = '$post[id]' LIMIT 1");
            $_SESSION['message'] = __('Изменения сохранены');

            header("Location: index.php?");
            exit();
        }
    }

    err();
    

    echo "<div class='ui segments'>";

    echo "<div class='ui secondary segment'>" . __('Редактор сообщений') . "</div>";

    echo "<form class='ui form segment' name='msg_edit' method='POST' action='edit_komm.php?id=$post[id]&amp;ok'>";
    echo "<textarea name='msg' maxlength='$set[guest_max_post]' rows='3' placeholder='" . __('Введите сообщение') . "...'>$post[msg]</textarea><br /><br />";
    echo "<button class='ui compact blue labeled icon button'><i class='mdi mdi-check icon'></i> " . __('Сохранить') . "</button>\n";
    echo "</form>";

    echo "<div class='ui segment'><a href='/guest/'><i class='mdi mdi-arrow-left'></i> " . __('Гостевая') . "</a></div>";
    echo "</div>"; //ui segments
} else {
    header("Location: index.php?");
}

require_once H . 'sys/inc/tfoot.php';
