<?php

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

if ((!isset($_SESSION['refer']) || $_SESSION['refer'] == NULL) && isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER'] != NULL && !preg_match('#mail\.php#', $_SERVER['HTTP_REFERER'])) {
    $_SESSION['refer'] = str_replace('&', '&amp;', preg_replace('#^http://[^/]*/#', '/', $_SERVER['HTTP_REFERER']));
}

if (!isset($_GET['id'])) {
    header("Location: /konts.php?" . SID);
    exit;
}

$ank = get_user($_GET['id']);

if (!$ank) {
    header("Location: /konts.php?" . SID);
    exit;
}

if (isset($user) && dbresult(dbquery("SELECT COUNT(*) FROM `blacklist` WHERE `id_user` = '$ank[id]' AND `id_ank` = '$user[id]' "), 0) != 0 && $user['level'] < 3) {

    $set['title'] = $ank['nick'] . " - " . __('Сообщения'); // заголовок страницы


    include_once H . 'sys/inc/thead.php';

    title();
    aut();

    echo "<div class='ui warning message'>";
    echo __('Пользователь %s ограничел доступ', $ank['nick']) . "<br />";
    echo "</div>";

    include_once H . 'sys/inc/tfoot.php';
    exit;
}

// помечаем сообщения как прочитанные
dbquery("UPDATE `mail` SET `read` = '1' WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'");

$set['title'] = __('Почта') . ': ' . $ank['nick'];

include_once 'sys/inc/thead.php';

title();

/* Бан пользователя */
if ($user['group_access'] < 1 && dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'all' AND `id_user` = '$ank[id]' AND (`time` > '$time' OR `view` = '0')"), 0) != 0) {
    $ank = get_user($ank['id']);
    $set['title'] = $ank['nick'] . ' - ' . __('страничка'); // заголовок страницы

    include_once 'sys/inc/thead.php';

    title();
    aut();

    echo "<div class='ui segment'>";
    echo "<b><font color=red>" . __('Этот пользователь заблокирован') . "</font></b>\n";
    echo "</div>\n";

    include_once 'sys/inc/tfoot.php';
    exit;
}



/* Модуль жалобы на пользователя
  и его сообщение либо контент
  в зависимости от раздела */

if (isset($_GET['spam']) && $ank['id'] != 0) {
    $mess = dbassoc(dbquery("SELECT * FROM `mail` WHERE `id` = '" . intval($_GET['spam']) . "' limit 1"));
    $spamer = get_user($mess['id_user']);

    if (dbresult(dbquery("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'mail'"), 0) == 0) {
        if (isset($_POST['msg'])) {
            if ($mess['id_kont'] == $user['id']) {

                $msg = mysql_real_escape_string($_POST['msg']);

                if (strlen2($msg) < 3) {
                    $err = __('Укажите подробнее причину жалобы');
                }

                if (strlen2($msg) > 1512) {
                    $err = __('Длина текста превышает предел в 1512 символов');
                }

                if (isset($_POST['types'])) {
                    $types = intval($_POST['types']);
                } else {
                    $types = '0';
                }

                if (!isset($err)) {

                    dbquery("INSERT INTO `spamus` (`id_user`, `msg`, `id_spam`, `time`, `types`, `razdel`, `spam`) values('$user[id]', '$msg', '$spamer[id]', '$time', '$types', 'mail', '" . my_esc($mess['msg']) . "')");

                    $_SESSION['message'] = __('Заявка на рассмотрение отправлена');

                    header("Location: ?id=$ank[id]&spam=$mess[id]");
                    exit;
                }
            }
        }
    }

    aut();
    err();

    if (dbresult(dbquery("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'mail'"), 0) == 0) {
        echo "<div class='ui warning message'>" . __('Ложная информация может привести к блокировке логина. Если вас постоянно достает один человек - пишет гадости, вы можете добавить его в черный список.') . "</div>";
        echo "<form class='ui form segment' method='post' action='/mail.php?id=$ank[id]&amp;spam=$mess[id]'>\n";
        echo "<b>" . __('Пользователь') . ":</b> ";
        echo "<a href=\"/info.php?id=$spamer[id]\">$spamer[nick]</a>\n";
        echo " (" . vremja($mess['time']) . ")<br />";
        echo "<b>" . __('Нарушение') . ":</b> <font color='green'>" . output_text($mess['msg']) . "</font><br />";
        echo __('Причина') . ":<br />\n<select name='types'>\n";
        echo "<option value='1' selected='selected'>" . __('Спам') . "/" . __('Реклама') . "</option>\n";
        echo "<option value='2' selected='selected'>" . __('Мошенничество') . "</option>\n";
        echo "<option value='3' selected='selected'>" . __('Оскорбление') . "</option>\n";
        echo "<option value='0' selected='selected'>" . __('Другое') . "</option>\n";
        echo "</select><br />\n";
        echo __('Комментарий') . ":";
        echo "<textarea name=\"msg\"></textarea><br />";
        echo "<button class='ui compact blue labeled icon button'><i class='mdi mdi-check icon'></i> " . __('Отправить') . "</button>\n";
        echo "</form>\n";
    } else {
        echo "<div class='ui warning message'>" . __('Жалоба на') . " <font color='green'>$spamer[nick]</font> " . __('будет рассмотрена в ближайшее время') . "</div>";
    }

    echo "<div class='ui segment'>\n";
    echo "<a href='/mail.php?id=$ank[id]'><i class='mdi mdi-chevron-double-left'></i> " . __('Назад') . "</a>\n";
    echo "</div>\n";

    include_once 'sys/inc/tfoot.php';
}

// добавляем в контакты

if ($user['add_konts'] == 2 && dbresult(dbquery("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0) == 0) {
    dbquery("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");
}

// обновление сведений о контакте
dbquery("UPDATE `users_konts` SET `new_msg` = '0' WHERE `id_kont` = '$ank[id]' AND `id_user` = '$user[id]' LIMIT 1");

if (isset($_POST['refresh'])) {
    header("Location: /mail.php?id=$ank[id]" . SID);
    exit;
}

if (isset($_POST['msg']) && $ank['id'] != 0 && !isset($_GET['spam'])) {
    if ($user['level'] == 0 && dbresult(dbquery("SELECT COUNT(*) FROM `users_konts` WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'"), 0) == 0) {
        if (!isset($_SESSION['captcha'])) {
            $err[] = __('Ошибка проверочного числа');
        }

        if (!isset($_POST['chislo'])) {
            $err[] = __('Введите проверочное число');
        } elseif ($_POST['chislo'] == null) {
            $err[] = __('Введите проверочное число');
        } elseif ($_POST['chislo'] != $_SESSION['captcha']) {
            $err[] = __('Проверьте правильность ввода проверочного числа');
        }
    }

    $msg = $_POST['msg'];

    if (isset($_POST['translit']) && $_POST['translit'] == 1) {
        $msg = translit($msg);
    }

    if (strlen2($msg) > 1024) {
        $err[] = __('Сообщение превышает 1024 символа');
    }

    if (strlen2($msg) < 2) {
        $err[] = __('Слишком короткое сообщение');
    }

    $mat = antimat($msg);

    if ($mat) {
        $err[] = __('В тексте сообщения обнаружен мат') . ': ' . $mat;
    }

    if (!isset($err) && dbresult(dbquery("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' AND `time` > '" . ($time - 360) . "' AND `msg` = '" . my_esc($msg) . "'"), 0) == 0) {

// отправка сообщения
        dbquery("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$ank[id]', '" . my_esc($msg) . "', '$time')");

// добавляем в контакты
        if ($user['add_konts'] == 1 && dbresult(dbquery("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0) == 0) {
            dbquery("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");
        }

// обновление сведений о контакте
        dbquery("UPDATE `users_konts` SET `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'");

        $_SESSION['message'] = __('Сообщение успешно отправлено');

        header("Location: ?id=$ank[id]");
        exit;
    }
}

if (isset($_GET['delete']) && $_GET['delete'] != 'add') {
    $mess = dbassoc(dbquery("SELECT * FROM `mail` WHERE `id` = '" . intval($_GET['delete']) . "' limit 1"));

    if ($mess['id_user'] == $user['id'] || $mess['id_kont'] == $user['id']) {
        if ($mess['unlink'] != $user['id'] && $mess['unlink'] != 0) {
            dbquery("DELETE FROM `mail` WHERE `id` = '" . $mess['id'] . "'");
        } else {
            dbquery("UPDATE `mail` SET `unlink` = '$user[id]' WHERE `id` = '$mess[id]' LIMIT 1");
        }

        $_SESSION['message'] = __('Сообщение удалено');

        header("Location: ?id=$ank[id]");
        exit;
    }
}

if (isset($_GET['delete']) && $_GET['delete'] == 'add') {
    dbquery("DELETE FROM `mail` WHERE `unlink` = '$ank[id]'  AND `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' AND `unlink` = '$ank[id]'  ");
    dbquery("UPDATE `mail` SET `unlink` = '$user[id]' WHERE  `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'");

    $_SESSION['message'] = __('Сообщения удалены');

    header("Location: ?id=$ank[id]");
    exit;
}


aut();
err();

/* Приватность почты пользователя */

$block = true;
$uSet = dbarray(dbquery("SELECT * FROM `user_set` WHERE `id_user` = '$ank[id]'  LIMIT 1"));
$frend = dbresult(dbquery("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"), 0);
$frend_new = dbresult(dbquery("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"), 0);

if ($user['group_access'] == 0) {
    if ($uSet['privat_mail'] == 2 && $frend != 2) { // Если только для друзей
        echo '<div class="ui warning message">';
        echo __('Писать сообщения пользователю, могут только его друзья');
        echo '</div>';

        echo '<div class="ui segment">';
        if ($frend_new == 0 && $frend == 0) {
            echo "<a href='/user/frends/create.php?add=" . $ank['id'] . "'>" . __('Добавить в друзья') . "</a><br />\n";
        } elseif ($frend_new == 1) {
            echo "<a href='/user/frends/create.php?otm=$ank[id]'>" . __('Отклонить заявку') . "</a><br />\n";
        } elseif ($frend == 2) {
            echo "<a href='/user/frends/create.php?del=$ank[id]'>" . __('Удалить из друзей') . "</a><br />\n";
        }

        echo "</div>";

        $block = false;
    }

    if ($uSet['privat_mail'] == 0) { // Если закрыта
        echo '<div class="ui warning message">';
        echo __('Пользователь запретил писать ему сообщения');
        echo '</div>';

        $block = false;
    }
}

echo "<div class='ui segment'>";
echo __('Переписка с') . " " . group($ank['id']) . " <a href='/id" . $ank['id'] . "'>" . $ank['nick'] . "</a> " . medal($ank['id']) . online($ank['id']);
echo "<span style='float:right;'>";
if (dbresult(dbquery("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0) == 1) {
    $kont = dbarray(dbquery("SELECT * FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"));
    echo "<a href='/konts.php?type=$kont[type]&amp;act=del&amp;id=$ank[id]' title='" . __('Удалить контакт из списка') . "'><i class='mdi mdi-account-network-off'></i></a>\n";
} else {
    echo "<a href='/konts.php?type=common&amp;act=add&amp;id=$ank[id]' title='" . __('Добавить в список контактов') . "'><i class='mdi mdi-card-account-mail'></i> " . __('Добавить в контакты') . "</a>\n";
}
echo '</span>';
echo '</div>';
$rt = time() - 600;

if (isset($ank['date_last'])) {
    if ($ank['date_last'] < $rt) {
        echo "<div class='ui warning message'>";
        echo __('Пользователь') . " " . $ank['nick'] . " " . __('не в сети. Оставьте свое сообщение и он прочтет его позже');
        echo "</div>";
    }
}

echo "<div class='ui segments'>\n";
if ($ank['id'] != 0 && $block == true) {
    echo "<form method='post' class='ui form segment' name='message' action='/mail.php?id=$ank[id]'>\n";
    echo "<textarea name='msg'></textarea><br />\n";

    if ($user['level'] == 0 && dbresult(dbquery("SELECT COUNT(*) FROM `users_konts` WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'"), 0) == 0) {
        echo "<img src='/captcha.php?SESS=$sess' width='100' height='30' alt='" . __('Проверочное число') . "' /><br />\n<input name='chislo' size='5' maxlength='5' value='' type='text' /><br/>\n";
    }

    echo "<br />";
    echo "<button class='ui green button' name='send'>" . __('Опубликовать') . "</button> ";
    echo "<button class='ui basic button' name='refresh'>" . __('Обновить') . "</button>";
    echo "</form>";
}

echo "<div class='ui segment'><a href='/konts.php?" . (isset($kont) ? 'type=' . $kont['type'] : null) . "'>" . __('Все контакты') . "</a></div>\n";
echo "</div>";

echo "<div class='ui segments'>\n";

$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `mail` WHERE `unlink` != '$user[id]' AND `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' AND  `unlink` != '$user[id]'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    echo "<div class='ui segment'>\n";
    echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
    echo "</div>\n";
}

$q = dbquery("SELECT * FROM `mail` WHERE `unlink` != '$user[id]' AND `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' AND `unlink` != '$user[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = dbarray($q)) {

    echo "  <div class='ui segment'>\n";

    $ank2 = get_user($post['id_user']);
    avatar($ank2['id']);

    if ($ank2 && $ank2['id']) {
        if ($ank2['id'] == $user['id']) {
            echo ' <b><span style="color:green">' . __('От меня') . '</span> к </b><a href="/id' . $ank2['id'] . '"><b>' . $ank['nick'] . '</b></a>';
        } else {
            echo " " . group($ank2['id']) . " <a href=\"/info.php?id=$ank2[id]\">$ank2[nick]</a>\n";
        }
    } else if ($ank2['id'] == 0) {

        echo "<b>" . __('Система') . "</b>\n";
    } else {

        echo __('Удален');
    }

    echo '<span style="float:right;color:#666;font-size:small;"> ' . vremja($post['time']) . '</span> ';

    if ($post['read'] == 0) {
        echo "(" . __('не прочитано') . "<br />\n";
    }

    echo "<br/>" . output_text($post['msg']) . "\n";

    echo "<div style='text-align:right;'>";

    if ($ank2['id'] != $user['id']) {
        echo "<a href=\"mail.php?id=$ank[id]&amp;page=$page&amp;spam=$post[id]\">" . __('Жалоба') . "</a> ";
    }

    echo "<a href=\"mail.php?id=$ank[id]&amp;page=$page&amp;delete=$post[id]\">" . __('Удалить') . "</a>\n";
    echo "   </div>\n";
    echo "   </div>\n";
}

echo "</div>\n";

if ($k_page > 1) {
    str("mail.php?id=$ank[id]&amp;", $k_page, $page);
} // Вывод страниц

echo "<div class='ui segment'>\n";
echo "<a href='mail.php?id=$ank[id]&amp;page=$page&amp;delete=add' class='ui basic label'>" . __('Очистить почту') . "</a>\n";
echo "</div>\n";

include_once 'sys/inc/tfoot.php';
?>