<?php

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
} else {
    header("Location: /index.php");
}

$set['title'] = __('Удаление');

require_once H . 'sys/inc/thead.php';

aut();
only_reg();
only_level(4);

if ($id == 0 || $id < 0) {
    echo '<div class="ui negative message">' . __('Категория не найдена') . '</div>';
} else {

    if (isset($_GET['act']) && $_GET['act'] == 'dir') {
        $q = dbquery("SELECT * FROM `smiles_list` WHERE `id_dir` = '" . $id . "'");
        while ($sm = dbarray($q)) {
            unlink(H . 'style/smiles/' . $sm['name'] . '.png');
            unlink(H . 'style/smiles/' . $id . '.png');

            dbquery("DELETE FROM `smiles_list` WHERE `id_dir` = '" . $id . "'");
        }

        dbquery("DELETE FROM `smiles_categories` WHERE `id` = '" . $id . "'");

        $_SESSION['message'] = __('Категория успешно удалена');
        header("Location: index.php?");
    } elseif (isset($_GET['act']) && $_GET['act'] == 'smile') {
        $smile = dbassoc(dbquery("SELECT * FROM `smiles_list` WHERE `id` = '" . $id . "'"));
        $dir = dbassoc(dbquery("SELECT * FROM `smiles_list` WHERE `id_dir` = '" . $id . "'"));

        unlink(H . 'style/smiles/' . $smile['name'] . '.png');

        dbquery("DELETE FROM `smiles_list` WHERE `id` = '" . $id . "' LIMIT 1");

        $_SESSION['message'] = __('Смайл успешно удален');
        header("Location: index.php?");
    } else {
        echo '<div class="ui negative message">' . __('Запрос не найден') . '</div>';
    }
}

require_once H . 'sys/inc/tfoot.php';
