<?php

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
} else {
    header("Location: /index.php");
}

$set['title'] = __('Смайлы');
require_once H . 'sys/inc/thead.php';

title();
aut();
only_reg();
only_level(4);

$dir = dbassoc(dbquery("SELECT * FROM `smiles_categories` WHERE `id` = '" . $id . "'"));

echo "<div class='ui segments'>";

echo "<div class='ui secondary segment'>" . __('Категория: %s', $dir['name']) . "</div>";

if ($id == 0 || $id < 0) {
    echo '<div class="ui negative message">' . __('Категория не найдена') . '</div>';
} else if ($id != $dir['id']) {
    echo '<div class="ui negative message">' . __('Категория не найдена') . '</div>';
} else {
    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `smiles_list` WHERE `id_dir` = '$id'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    if ($k_post == 0) {
        echo'<div class="ui segment">';
        echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
        echo'</div>';
    } else {

        echo "<div class='ui segment'>\n";
        echo "<div class='ui middle aligned divided list'>\n";
        $q = dbquery("SELECT * FROM `smiles_list` WHERE `id_dir` = '$id' ORDER BY `id` ASC LIMIT $start, $set[p_str]");
        while ($post = dbassoc($q)) {
            echo "<div class='item'>\n";

            echo "<div class='right floated content'>";

            echo "<a href='edit.php?id=$post[id]&amp;act=smile' class='item' title='" . __('Редактировать') . "'><i class='mdi mdi-rename-box'></i> </a> ";
            echo "<a href='del.php?id=$post[id]&amp;act=smile' class='item' title='" . __('Удалить') . "'><i class='mdi mdi-delete'></i></a>";

            echo "</div>"; // right floated content
            ?>
            <script type="text/javascript">$('.ui.dropdown').dropdown();</script>
            <?php

            echo "<img src='/style/smiles/$post[name].png' alt='$post[name]' class='ui image' width='30'>";
            echo "<div class='content'>\n";

            echo "<div class='header'>\n";
            echo $post['name'];
            echo "</div>\n";
            echo "<div class='description'>\n";

            echo $post['desc'];
            echo "</div>\n"; // description
            echo "</div>\n"; // content
            echo "</div>"; // item
        }
        echo "</div>";
        echo "</div>";

        if ($k_page > 1) {
            str('dir.php?id=' . $id . '&amp;', $k_page, $page);
        }
    }

    echo "<div class='ui segment'><a href='index.php?'><i class='mdi mdi-arrow-left'></i> " . __('Категории') . "</a></div>";

    echo "<div class='ui segment'><a href='add.php?act=smile'><i class='mdi mdi-plus'></i> " . __('Добавить смайл') . "</a></div>";
    echo "</div>";
}

require_once H . 'sys/inc/tfoot.php';
