<?php

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

if (isset($user)) {
    $ank['id'] = $user['id'];
}

if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
}

if ($ank['id'] == 0) {
    header("Location: /index.php?" . SID);
    exit;
}

$ank = get_user($ank['id']);

if (!$ank) {
    header("Location: /index.php?" . SID);
    exit;
}

$set['title'] = __('Закладки') . ' ' . $ank['nick']; // заголовок страницы

include_once '../../sys/inc/thead.php';

title();
err();
aut(); // форма авторизации

echo '<div class="ui segment">';
echo '<i class="mdi mdi-chevron-double-left"></i><a href="/info.php?id=' . $ank['id'] . '">' . $ank['nick'] . '</a> | <b>' . __('Закладки') . '</b>';
echo '</div>';

if (isset($user) && $ank['id'] == $user['id']) {
    echo '<div class="ui warning message">';
    echo __('С помощью функции закладок вы можете сохранить ссылку на интересного вам человека, файл, фото, фотоальбом, заметки, обсуждения');
    echo '</div>';
}

echo "<div class='ui horizontal segments'>";
if (!isset($_GET['metki'])) {
    echo "<div class='ui center aligned segment'>";
    echo "<b>" . __('Закладки') . "</b>";
    echo "</div>";
    echo "<div class='ui center aligned segment'>";
    echo "<a href='?id=" . $ank['id'] . "&metki'>" . __('Метки') . "</a>";
    echo "</div>";
} elseif (isset($_GET['metki'])) {
    echo "<div class='ui center aligned segment'>";
    echo "<a href='index.php'>" . __('Закладки') . "</a>";
    echo "</div>";
    echo "<div class='ui center aligned segment'>";
    echo "<b>" . __('Метки') . "</b>";
    echo "</div>";
}
echo "</div>";

if (isset($_GET['metki'])) {
    echo "<div class='ui segments'>";
    echo '<div class="ui segment">';
    $people = mysql_result(mysql_query("SELECT COUNT(id_user) FROM `mark_people` WHERE `id_user` = '" . $ank['id'] . "'"), 0);
    echo '<a href="/user/bookmark/people.php?id=' . $ank['id'] . '"><i class="mdi mdi-account-multiple-outline"></i> ' . __('Люди') . '</a> (' . $people . ')';
    echo '</div>';
    echo '<div class="ui segment">';
    $files = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='file'"), 0);
    echo '<a href="/user/bookmark/files.php?id=' . $ank['id'] . '"><i class="mdi mdi-file-multiple"></i> ' . __('Файлы') . '</a> (' . $files . ')';
    echo '</div>';
    echo '<div class="ui segment">';
    $foto = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='foto'"), 0);
    echo '<a href="/user/bookmark/foto.php?id=' . $ank['id'] . '"><i class="mdi mdi-image-multiple"></i> ' . __('Фотографии') . '</a> (' . $foto . ')';
    echo '</div>';
    echo '<div class="ui segment">';
    $forum = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='forum'"), 0);
    echo '<a href="/user/bookmark/forum.php?id=' . $ank['id'] . '"><i class="mdi mdi-forum"></i> ' . __('Форум') . '</a> (' . $forum . ')';
    echo '</div>';
    echo '<div class="ui segment">';
    $notes = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '" . $ank['id'] . "' AND `type`='notes'"), 0);
    echo '<a href="/user/bookmark/notes.php?id=' . $ank['id'] . '"><i class="mdi mdi-book-multiple"></i> ' . __('Блоги') . '</a> (' . $notes . ')';
    echo '</div>';
    echo '<div class="ui segment">';
    echo '<i class="mdi mdi-chevron-double-left"></i> <a href="/info.php?id=' . $ank['id'] . '">' . $ank['nick'] . '</a> | <b>' . __('Закладки') . '</b>';
    echo '</div>';
    echo '</div>';
} else {
    $k_post = dbresult(dbquery("SELECT COUNT(id_object) FROM `bookmarks` WHERE `id_user` = '$ank[id]'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = dbquery("SELECT * FROM `bookmarks` WHERE `id_user`='$ank[id]' ORDER BY `time` DESC LIMIT $start,$set[p_str]");

    echo "<div class='ui segments'>";
    while ($post = dbassoc($q)) {
        echo "<div class='ui segment'>";
        if ($post['type'] == 'forum') {
            $them = dbassoc(dbquery("SELECT * FROM `forum_t` WHERE `id`='$post[id_object]' LIMIT 1"));
            echo "<a href='/forum/" . $them['id_forum'] . "/" . $them['id_razdel'] . "/" . $them['id'] . "/'><i class='mdi mdi-book-multiple'></i> " . htmlspecialchars($them['name']) . "</a><br/>";
            echo substr(htmlspecialchars($them['text']), 0, 40) . " (" . __('Добавлено') . " " . date::timek($post['time']) . ")";
        } elseif ($post['type'] == 'notes') {
            $notes = dbassoc(dbquery("SELECT * FROM `notes` WHERE `id`='$post[id_object]' LIMIT 1"));
            echo "<a href='/plugins/notes/list.php?id=" . $notes['id'] . "'><i class='mdi mdi-book-multiple'></i> " . htmlspecialchars($notes['name']) . "</a><br/>";
            echo substr(htmlspecialchars($notes['msg']), 0, 40) . "[...] (" . __('Добавлено') . " " . date::timek($post['time']) . ")";
        } elseif ($post['type'] == 'people') {
            $people = get_user($post['id_object']);
            echo "<i class='mdi mdi-chevron-double-left'></i> ";
            echo group($people['id']) . " <img src='/style/icons/icon_readers.gif'> ";
            echo user::nick($people['id'], 1, 1, 1) . " <br/>";
            echo " (Добавлено " . date::timek($post['time']) . ")";
        } elseif ($post['type'] == 'foto') {
            $foto = dbassoc(dbquery("SELECT * FROM `gallery_foto` WHERE `id`='$post[id_object]' LIMIT 1"));
            echo "<small style='float:right;color:grey'>".date::timek($post['time'])."</small>";
            echo "<a href='/foto/" . $foto['id_user'] . "/" . $foto['id_gallery'] . "/" . $foto['id'] . "/'><i class='mdi mdi-image'></i> " . htmlspecialchars($foto['name']) . "</a><br/>";
            echo "<img style='height:60px;' src='/foto/foto0/" . $foto['id'] . "." . $foto['ras'] . "'><br />";
        } elseif ($post['type'] == 'file') {
            $file_id = dbassoc(dbquery("SELECT id_dir,id,name,ras  FROM `obmennik_files` WHERE `id` = '" . $post['id_object'] . "'  LIMIT 1"));
            $dir = dbarray(dbquery("SELECT `dir` FROM `obmennik_dir` WHERE `id` = '$file_id[id_dir]' LIMIT 1"));
            echo '<a href="/obmen' . $dir['dir'] . $file_id['id'] . '.' . $file_id['ras'] . '?showinfo">' . htmlspecialchars($file_id['name']) . '.' . $file_id['ras'] . '</a>';
            echo " (" . __('Добавлено') . " " . date::timek($post['time']) . ")";
        }
        echo "</div>";
    }
    echo "</div>";
}

include_once '../../sys/inc/tfoot.php';
?>