<?php
if ($user['level'] > $ank['level'] || $user['id'] == $ank['id']) {
    if (isset($_GET['edit']) && $_GET['edit'] == 'rename') {
        ?>
        <div class="ui segment">
            <i class='mdi mdi-chevron-double-left'></i> <?= user::nick($ank['id']) ?> | 
            <a href="/foto/<?= $ank['id'] ?>/"><?= __('Альбомы') ?></a> | 
            <a href="/foto/<?= $ank['id'] ?>/<?= $gallery['id'] ?>/"><?= text($gallery['name']) ?></a> | 
            <b><?= __('Редактирование') ?></b>
        </div>

        <form action="?edit=rename&amp;ok" method="post" class="ui form segment">

            <div class="field">
                <label><?= __('Название альбома') ?>:</label>
                <input type="text" name="name" value="<?= text($gallery['name']) ?>" />
            </div>

            <div class="field">
                <label><?= __('Описание') ?>:</label><?= $tPanel ?>
                <textarea name="opis" placeholder="<?= __('Не обязательно') ?>"></textarea>
            </div>

            <div class="field">
                <label><?= __('Пароль') ?>:</label>
                <input type="text" name="pass" value="<?= text($gallery['pass']) ?>" placeholder="<?= __('Не обязательно') ?>"/>
            </div>

            <div class="grouped fields">
                <div class="field">
                    <label><?= __('Могут смотреть') ?>:</label>
                    <div class="ui radio checkbox">
                        <input name="privat" type="radio" <?= ($gallery['privat'] == 0 ? ' checked="checked"' : null) ?> value="0" />
                        <label><i class="mdi mdi-earth"></i> <?= __('Все') ?> </label>
                    </div>
                </div>
                <div class="field">
                    <div class="ui radio checkbox">
                        <input name="privat" type="radio" <?= ($gallery['privat'] == 1 ? ' checked="checked"' : null) ?> value="1" />
                        <label><i class="mdi mdi-account-multiple"></i> <?= __('Друзья') ?> </label>
                    </div>
                </div>
                <div class="field">
                    <div class="ui radio checkbox">
                        <input name="privat" type="radio" <?= ($gallery['privat'] == 2 ? ' checked="checked"' : null) ?> value="2" />
                        <label><i class="mdi mdi-lock"></i> <?= __('Только я') ?></label>
                    </div>
                </div>
            </div>

            <div class="grouped fields">
                <label><?= __('Могут комментировать') ?>:</label>
                <div class="field">
                    <div class="ui radio checkbox">
                        <input name="privat_komm" type="radio" <?= ($gallery['privat_komm'] == 0 ? ' checked="checked"' : null) ?> value="0" /><label><i class="mdi mdi-earth"></i> <?= __('Все') ?> </label>
                    </div>
                </div>
                <div class="field">
                    <div class="ui radio checkbox">
                        <input name="privat_komm" type="radio" <?= ($gallery['privat_komm'] == 1 ? ' checked="checked"' : null) ?> value="1" /><label><i class="mdi mdi-account-multiple"></i> <?= __('Друзья') ?> </label>
                    </div>
                </div>
                <div class="field">
                    <div class="ui radio checkbox">
                        <input name="privat_komm" type="radio" <?= ($gallery['privat_komm'] == 2 ? ' checked="checked"' : null) ?> value="2" /><label><i class="mdi mdi-lock"></i> <?= __('Только я') ?></label>
                    </div>
                </div>
            </div>

            <button class='ui compact blue labeled icon button'><i class='mdi mdi-check icon'></i> <?= __('Сохранить') ?></button>
        </form>

        <div class="ui segment">
            <i class='mdi mdi-chevron-double-left'></i> <?= user::nick($ank['id']) ?> | 
            <a href="/foto/<?= $ank['id'] ?>/"><?= __('Альбомы') ?></a> | 
            <a href="/foto/<?= $ank['id'] ?>/<?= $gallery['id'] ?>/"><?= text($gallery['name']) ?></a> | 
            <b><?= __('Редактирование') ?></b>
        </div>
        <?php
        include_once '../sys/inc/tfoot.php';
        exit;
    }
}


if ((user_access('foto_alb_del') || isset($user) && $user['id'] == $ank['id']) && isset($_GET['act']) && $_GET['act'] == 'delete') {
    ?>
    <div class='ui segment'>
        <?= __('Вы действительно хотите удалить фотоальбом') ?> <b><?= text($gallery['name']) ?></b>, <?= __('и все фотографии в нем') ?>?<br />
        <center>
            <a href="?act=delete&amp;ok" class="ui red basic label"><?= __('Удалить') ?></a> 
            <a href="/foto/<?= $ank['id'] ?>/" class="ui basic label"><?= __('Отмена') ?></a> 
        </center>
    </div>
    <?php
}


if (isset($user) && $user['id'] == $ank['id'] && isset($_GET['act']) && $_GET['act'] == 'upload') {
    ?>
    <div class="ui segment">
        <i class='mdi mdi-chevron-double-left'></i> <?= user::nick($ank['id']) ?> | 
        <a href="/foto/<?= $ank['id'] ?>/"><?= __('Альбомы') ?></a> | 
        <a href="/foto/<?= $ank['id'] ?>/<?= $gallery['id'] ?>/"><?= text($gallery['name']) ?></a> | 
        <b><?= __('Загрузка фотографии') ?></b>
    </div>

    <form class="ui form segment" id="photo_form" enctype="multipart/form-data" action="?act=upload&amp;ok" method="post">
        <?= __('Название') ?>:<br />
        <input name="name" type="text" /><br />

        <?= __('Файл') ?>:<br />
        <input name="file" type="file" required accept="image/*,image/jpeg" /><br />

        <?= __('Описание') ?>:
        <textarea name="opis"></textarea><br />

        <label><input type="checkbox" name="metka" value="1" /> <?= __('Метка') ?> <font color="red">18+</font></label><br />

        <button class='ui compact blue labeled icon button' name='accesses'><i class='mdi mdi-check icon'></i> <?= __('Выгрузить') ?></button>
    </form>

    <div class="ui warning message">
        <b><?= __('Размещаемые на Сайте Фото не должны') ?>:</b><br />
        * <?= __('нарушать действующее законодательство, честь и достоинство, права и охраняемые законом интересы третьих лиц, способствовать разжиганию религиозной, расовой или межнациональной розни, содержать сцены насилия, либо бесчеловечного обращения с животными, и т.д.') ?>;<br />
        * <?= __('носить непристойный или оскорбительный характер') ?>;<br />
        * <?= __('содержать рекламу наркотических средств') ?>;<br />
        * <?= __('нарушать права несовершеннолетних лиц') ?>;<br />
        * <?= __('нарушать авторские и смежные права третьих лиц') ?>;<br />
        * <?= __('носить порнографический характер') ?>;<br />
        * <?= __('содержать коммерческую рекламу в любом виде') ?>.<br />
    </div>

    <div class="ui segment">
        <i class='mdi mdi-chevron-double-left'></i> <?= user::nick($ank['id']) ?> | 
        <a href="/foto/<?= $ank['id'] ?>/"><?= __('Альбомы') ?></a> | 
        <a href="/foto/<?= $ank['id'] ?>/<?= $gallery['id'] ?>/"><?= text($gallery['name']) ?></a> | 
        <b><?= __('Загрузка фотографии') ?></b>
    </div>
    <?php
    include_once '../sys/inc/tfoot.php';
    exit;
}
?>