<?php

if (!isset($user) && !isset($_GET['id_user'])) {
    header("Location: /foto/?" . SID);
    exit;
}
if (isset($user)) {
    $ank['id'] = $user['id'];
}

if (isset($_GET['id_user'])) {
    $ank['id'] = intval($_GET['id_user']);
}

// Автор альбома
$ank = get_user($ank['id']);

if (!$ank) {
    header('Location: /foto/?' . SID);
    exit;
}

// Если вы в бане 
if (dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'foto' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

// Альбом
$gallery['id'] = intval($_GET['id_gallery']);

if (dbresult(dbquery("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"), 0) == 0) {
    header('Location: /foto/' . $ank['id'] . '/?' . SID);
    exit;
}

$gallery = dbassoc(dbquery("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));

// заголовок страницы
$set['title'] = user::nick($ank['id'], 0) . ' - ' . text($gallery['name']);

// Редактирование альбома и загрузка фото
include 'inc/gallery_show_act.php';

include_once '../sys/inc/thead.php';

title();
aut();
err();

// Формы
include 'inc/gallery_show_form.php';

echo '<div class="ui segment">';
echo '<i class="mdi mdi-chevron-double-left"></i> ' . user::nick($ank['id']) . ' | <a href="/foto/' . $ank['id'] . '/">' . __('Альбомы') . '</a> | <b>' . text($gallery['name']) . '</b></div>';

// Подключаем приватность стр. 
include H . 'sys/add/user.privace.php';

/*
 * Если установлена приватность альбома
 */
if ($gallery['privat'] == 1 && ($frend != 2 || !isset($user)) && $user['level'] <= $ank['level'] && $user['id'] != $ank['id']) {
    echo '<div class="ui warning message">';
    echo __('Просматривать альбом могут только друзья');
    echo '</div>';

    $block_foto = true;
} elseif ($gallery['privat'] == 2 && $user['id'] != $ank['id'] && $user['level'] <= $ank['level']) {
    echo '<div class="ui warning message">';
    echo __('Пользователь запретил просмотр альбома');
    echo '</div>';

    $block_foto = true;
}

/* --------------------Альбом под паролем------------------- */
if ($user['id'] != $ank['id'] && $gallery['pass'] != NULL) {
    if (isset($_POST['password'])) {
        $_SESSION['pass'] = my_esc($_POST['password']);

        if ($_SESSION['pass'] != $gallery['pass']) {
            $_SESSION['message'] = __('Неверный пароль');
            $_SESSION['pass'] = NULL;
        }
        header("Location: ?");
    }

    if (!isset($_SESSION['pass']) || $_SESSION['pass'] != $gallery['pass']) {
        echo '<form action="?" method="POST" class="ui form segment">';
        echo __('Пароль') . ':<br />';
        echo '<input type="password" name="password" required value="" /><br /><br />';
        echo "<button class='ui compact blue labeled icon button'><i class='mdi mdi-check icon'></i> " . __('Войти') . "</button>\n";
        echo '</form>';

        echo '<div class="ui segment">';
        echo '<i class="mdi mdi-chevron-double-left"></i> ' . user::nick($ank['id']) . ' | <a href="/foto/' . $ank['id'] . '/">' . __('Альбомы') . '</a> | <b>' . text($gallery['name']) . '</b>';
        echo '</div>';

        include_once '../sys/inc/tfoot.php';
        exit;
    }
}
/* --------------------------------------------------------- */

if (!isset($block_foto)) {
    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    echo '<div class="ui segments">';

    if ($k_post == 0) {
        echo '<div class="ui segment">';
        echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
        echo '</div>';
    }

    $q = dbquery("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");

    while ($post = dbassoc($q)) {
        echo '<div class="ui segment">';

        echo '<a href="/foto/' . $ank['id'] . '/' . $gallery['id'] . '/' . $post['id'] . '/"><i class="mdi mdi-image"></i> ' . text($post['name']);

        if ($post['metka'] == 1) {
            echo ' <font color=red>(18+)</font>';
        }

        echo '<br /><img src="/foto/foto128/' . $post['id'] . '.' . $post['ras'] . '" alt="Photo Screen" /></a><br />';

        if ($post['opis'] == null) {
            //echo 'Без описания<br />';
        } else {
            echo '<div class="text">' . output_text($post['opis']) . '</div>';
        }

        echo '<i class="mdi mdi-comment-outline"></i> ' . dbresult(dbquery("SELECT COUNT(*) FROM `gallery_komm` WHERE `id_foto` = '$post[id]'"), 0) . ' &ensp; ';
        echo '<i class="mdi mdi-star-outline"></i> ' . dbresult(dbquery("SELECT COUNT(`id`)FROM `bookmarks` WHERE `id_object`='" . $post['id'] . "' AND `type`='foto'"), 0) . '';

        echo '</div>';
    }

    echo '</div>';

    // Вывод страниц
    if ($k_page > 1) {
        str('?', $k_page, $page);
    }
}
if (isset($user) && (user_access('foto_alb_del') || $ank['id'] == $user['id'])) {
    echo '<div class="ui segments">';
    if ($ank['id'] == $user['id']) {
        echo '<div class="ui segment">';
        echo '<a href="?act=upload" class="ui green basic label"><i class="mdi mdi-image-plus"></i> ' . __('Добавить фото') . '</a>';
        echo '</div>';
    }
    echo '<div class="ui segment">';
    echo '<a href="/foto/' . $ank['id'] . '/' . $gallery['id'] . '/?edit=rename" class="ui basic label"><i class="mdi mdi-image-edit"></i> ' . __('Редактировать альбом') . '</a>';
    echo "<a href='/foto/$ank[id]/$gallery[id]/?act=delete' class='ui basic label'><i class='mdi mdi-image-remove'></i> " . __('Удалить альбом') . "</a>";
    echo '</div>';
    echo '</div>';
}
echo '<div class="ui segment">';
echo '<i class="mdi mdi-chevron-double-left"></i> ' . user::nick($ank['id']) . ' | <a href="/foto/' . $ank['id'] . '/">' . __('Альбомы') . '</a> | <b>' . text($gallery['name']) . '</b>';
echo '</div>';

include_once '../sys/inc/tfoot.php';
exit;
?>