<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

/* Бан пользователя */
if (isset($user) && dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'guest' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

// Очищаем уведомления об ответах
if (isset($user)) {
    dbquery("UPDATE `notification` SET `read` = '1' WHERE `type` = 'guest' AND `id_user` = '$user[id]'");
}

// Действия с комментариями
include 'inc/admin_act.php';

#Скрываем сообщение
if (isset($_GET['hide']) && user_access('guest_settings')) {

    $_SESSION['message'] = __('Сообщение успешно скрыто');

    dbquery('UPDATE `guest` SET `id_admin` = ' . $user['id'] . ', `hide` = "1" WHERE `id` = ' . intval($_GET['hide']));

    header("Location: ?");
    exit;
} elseif (isset($_GET['display']) && user_access('guest_settings')) {

    $_SESSION['message'] = __('Сообщение успешно показано');

    dbquery('UPDATE `guest` SET `id_admin` = "0", `hide` = "0" WHERE `id` = ' . intval($_GET['display']));

    header('Location: ?');
    exit;
}

#Жалоба на сообщение
if (isset($_GET['spam']) && isset($user)) {
    $mess = dbassoc(dbquery("SELECT * FROM `guest` WHERE `id` = '" . intval($_GET['spam']) . "' LIMIT 1"));
    $spamer = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = '$mess[id_user]'"));
    $sp = dbresult(dbquery("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'guest'"), 0);

    if ($sp == 0 && isset($_POST['spamus'])) {

        if ($spamer['id'] != $user['id']) {
            $msg = $_POST['spamus'];
            if (utf8_strlen($msg) < 3) {
                $err = __('Укажите подробнее причину жалобы');
            }
            if (utf8_strlen($msg) > 1000) {
                $err = __('Длинное объяснение');
            }
            if (isset($_POST['types'])) {
                $types = intval($_POST['types']);
            } else {
                $types = '0';
            }

            if (!isset($err)) {
                dbquery("INSERT INTO `spamus` (`id_object`, `id_user`, `msg`, `id_spam`, `time`, `types`, `razdel`, `spam`) values('$ank[id]', '$user[id]', '$msg', '$spamer[id]', '$time', '$types', 'guest', '" . $mess['msg'] . "')");
                $_SESSION['message'] = __('Жалоба отправлена');
                header("Location: index.php?");
                exit;
            }
        }
    }
    $set['title'] = __('Жалоба на сообщение'); // заголовок страницы
    include_once '../sys/inc/thead.php';
    title();
    aut();
    err();

    if ($sp == 0) {
        echo "<div class='ui segments'>";

        echo "<div class='ui secondary segment'>" . __('Жалоба на сообщение') . "</div>";
        echo "<div class='ui segment'><b>" . output_text($mess['msg']) . "</b></div>";

        echo "<form class='ui form segment' method='post' action='index.php?spam=$mess[id]'>\n";

        echo "<small class='grey'>" . __('Жалоба на пользователя') . " <a href=\"/id$spamer[id]\">$spamer[nick]</a></small><br />\n";

        echo __('Причина') . ":<br />\n<select name='types'>\n";
        echo "<option value='1' selected='selected'>" . __('Это неприятно или неинтересно') . "</option>\n";
        echo "<option value='2' selected='selected'>" . __('Я считаю, что этому не место в чате') . "</option>\n";
        echo "<option value='3' selected='selected'>" . __('Это спам') . "</option>\n";
        echo "<option value='0' selected='selected'>" . __('Другая причина') . "</option>\n";
        echo "</select>\n";

        echo "<small class='grey'>" . __('Объясните подробнее') . "</small><br />";
        echo "<textarea name='spamus' maxlength='1000' rows='3'></textarea><br /><br />";

        echo "<button type='submit' class='btn btn-primary btn-sm'><i class='mdi mdi-check'></i> " . __('Отправить') . "</button>";
        echo "</form>";

        echo "<div class='ui segment'><a href='/guest/'><i class='mdi mdi-arrow-left'></i> " . __('Вернуться') . "</a></div>";

        echo "</div>"; //ui segments
    } else {
        echo "<div class='ui segments'>";

        echo "<div class='ui secondary segment'>" . __('Жалоба на сообщение') . "</div>";
        echo "<div class='ui segment'>" . __('Жалоба на сообщение пользователя %s будет рассмотрена в ближайшее время', $spamer['nick']) . "</div>";
        echo "<div class='ui segment'><a href='/guest/'><i class='mdi mdi-arrow-left'></i> " . __('Вернуться') . "</a></div>";

        echo "</div>"; //ui segments
    }

    include_once '../sys/inc/tfoot.php';
}

// Отправка комментариев
if (isset($_POST['msg']) && isset($user)) {

    if (isset($_GET['privat']) && is_numeric($_GET['privat']) && isset($_GET['mess'])) {
        $privat = intval($_GET['privat']);
        $mess_id = intval($_GET['mess']);
        $cit = 0;
    } else {
        $cit = 0;
        $mess_id = intval($_GET['mess']);
        $privat = 0;
    }
    $msg = $_POST['msg'];
    $mat = antimat($msg);

    if ($mat) {
        $err[] = __('В тексте сообщения обнаружен мат') . ': ' . $mat;
    }

    if (strlen2($msg) > 1024) {
        $err[] = __('Сообщение слишком длинное');
    } elseif (strlen2($msg) < 2) {
        $err[] = __('Короткое сообщение');
    } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$user[id]' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
        $err = __('Ваше сообщение повторяет предыдущее');
    } elseif (!isset($err)) {
        // Начисление баллов за активность
        include_once H . 'sys/add/user.active.php';
        dbquery("UPDATE `user` SET `guest_mess` = '" . ($user['guest_mess'] + 1) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

        /*
          ==========================
          Уведомления об ответах
          ==========================
         */

        if (isset($ank_reply['id'])) {
            $notifiacation = dbassoc(dbquery("SELECT * FROM `notification_set` WHERE `id_user` = '" . $ank_reply['id'] . "' LIMIT 1"));

            if ($notifiacation['komm'] == 1 && $ank_reply['id'] != $user['id']) {
                dbquery("INSERT INTO `notification` (`avtor`, `id_user`, `type`, `time`) VALUES ('$user[id]', '$ank_reply[id]', 'guest', '$time')");
            }
        }

        dbquery("INSERT INTO `guest` (id_user, time, msg, privat) values('$user[id]', '$time', '" . my_esc($msg) . "', '$privat')");

        $_SESSION['message'] = __('Сообщение успешно добавлено');

        header("Location: index.php" . SID);
        exit;
    }
} elseif (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1 && isset($_SESSION['captcha']) && isset($_POST['chislo'])) {

    $msg = $_POST['msg'];
    $mat = antimat($msg);

    if ($mat) {
        $err[] = __('В тексте сообщения обнаружен мат') . ': ' . $mat;
    }

    if (strlen2($msg) > 1024) {
        $err = __('Сообщение слишком длинное');
    } elseif ($_SESSION['captcha'] != $_POST['chislo']) {
        $err = __('Неверное проверочное число');
    } elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood'] > $time - 300) {
        $err = __('Для того чтобы чаще писать нужно авторизоваться');
    } elseif (strlen2($msg) < 2) {
        $err = __('Короткое сообщение');
    } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
        $err = __('Ваше сообщение повторяет предыдущее');
    } elseif (!isset($err)) {
        $_SESSION['antiflood'] = $time;

        dbquery("INSERT INTO `guest` (id_user, time, msg) values('0', '$time', '" . my_esc($msg) . "')");

        $_SESSION['message'] = __('Сообщение успешно добавлено');

        header("Location: index.php" . SID);
        exit;
    }
}

// заголовок страницы
$set['title'] = __('Гостевая');

include_once '../sys/inc/thead.php';

title();
aut();
err();

$k_post = dbresult(dbquery("SELECT COUNT(id) FROM `guest`"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo '<div class="ui segments">';

echo '<div class="ui segment">';
echo '<a href="who.php"><i class="mdi mdi-comment-eye-outline"></i> ' . __('В гостевой') . ' (' . dbresult(dbquery("SELECT COUNT(id) FROM `user` WHERE `date_last` > '" . (time() - 100) . "' AND `url` like '/guest/%'"), 0) . ' чел.)</a><br />';
# Топ чатеров
echo "<a href='top.php'><i class='mdi mdi-poll'></i> " . __('Топ активных') . "</a>";
echo '</div>';

// Форма для комментариев
if (isset($user) || (isset($set['write_guest']) && $set['write_guest'] == 1 && (!isset($_SESSION['antiflood']) || $_SESSION['antiflood'] < $time - 300))) {
    $privat = 0;

    if (isset($_GET['privat'])) {
        $privat = intval($_GET['privat']);
        $mess_id = intval($_GET['mess']);
        $us = dbassoc(dbquery("SELECT `id`, `nick` FROM `user` WHERE `id` = '$privat'"));
        $insert = $us['nick'] . ', ';

        echo "<form method='post' class='ui form segment' name='form' action='?privat=$privat&amp;mess=$mess_id'>";
    } else {
        echo '<form method="post" name="message" class="ui form segment" action="?page=' . $page . REPLY . '">';
    }
    echo '<textarea required name="msg">' . $insert . '</textarea><br />';

    if (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1) {
        ?>
        <img src="/captcha.php?SESS=<?= $sess ?>" width="100" height="30" alt="Captcha" /> <input name="chislo" size="7" maxlength="5" value="" type="text" placeholder="<?= __('Цифры') ?>"/><br />
        <?php
    }

    if (isset($user)) {
        echo "<small style='color:grey'>Вы опубликовали " . sklon_text($user['guest_mess'], array(__('сообщение'), __('сообщения'), __('сообщений'))) . "</small>";
        echo "<br />";
    } else {
        echo "<br />";
    }
    echo "<button class='ui compact blue labeled icon button' name='accesses'><i class='mdi mdi-check icon'></i> " . __('Опубликовать') . "</button>\n";
    echo "<a href='/plugins/smiles/' class='ui compact basic button'><i class='mdi mdi-emoticon-outline'></i> ". __('Смайлы') ."</a>";
    echo '</form>';
} elseif (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1) {
    ?>
    <div class="mess">
        <?= __('Вы сможете писать через') ?> <?= abs($time - $_SESSION['antiflood'] - 300) ?> сек.
    </div>
    <?php
}

$q = dbquery("SELECT * FROM `guest` ORDER BY id DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo '<div class="ui segment">';
    echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
    echo '</div>';
} else {


    echo '<div class="ui segment" style="padding: 0">';
    echo '<div class="ui celled list">';
    while ($post = dbassoc($q)) {
        $ank = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
        $admin = ($post['hide'] == 1) ? dbassoc(dbquery('SELECT `id`, `nick`, `pol` FROM `user` WHERE `id` = ' . $post['id_admin'])) : NULL;

        if ($post['privat'] == 0 || ($post['privat'] == $user['id'] || $ank['id'] == $user['id']) || $user['group_access'] > 3) {
            if (isset($user) && ($post['hide'] == 1)) {
                $style_mess = "style='background: rgba(0,0,0,.05);' ";
            } elseif (isset($user) && ($post['privat'] == $user['id']) && ($post['hide'] != 1)) {
                $style_mess = "style='background: #FFF8DC;' ";
                $privat = '<i class="mdi mdi-lock" style="color:grey"></i>';
            } else {
                $style_mess = null;
                $privat = null;
            }

            echo "<div class='item' " . $style_mess . ">";
            //аватар
            echo ($post['id_user'] != 0 ? user::avatar($ank['id'], 0, 'ui avatar image') : user::avatar(0, 0, 'ui avatar image'));

            echo '<div class="content">';
            echo ($post['id_user'] != 0 ? group($ank['id']) . user::nick($ank['id']) : ' <b>' . __('Гость') . '</b> ');
            echo online($ank['id']);

            echo " <small style='float:right;color:grey'>" . date::times($post['time']) . " </small><br />";

            #Скрытое сообщение
            if ($post['hide'] == 1) {
                if (user_access('guest_settings')) {
                    echo "$privat<s>" . output_text($post['msg']) . "</s><br />";
                }
                echo "<small style='color: #9197a3;'>" . __('Комментарий скрыл') . " " . (($admin['pol'] == 0) ? 'а' : NULL) . " <a href='/info.php?id=$admin[id]'>$admin[nick]</a></small><br />";
            } else {
                echo "$privat" . output_text($post['msg']) . "<br />";
            }

            if ($post['time_edit'] != 0) {
                #Показываем последнее редактирование
                $admin = dbassoc(dbquery("SELECT `id`, `nick` FROM `user` WHERE `id` = $post[id_user_edit]"));

                echo "<small style='color: green;'>" . __('обновлено') . " $admin[nick] (" . date::timek($post['time_edit']) . ")</small><br />";
            }

            if (isset($user) && $ank['id'] != $user['id'] && $post['hide'] == 0) {
                echo "<small style='color:grey'>";
                echo '<a href="?page=' . $page . '&amp;response=' . $ank['id'] . '">' . __('Ответить') . '</a> &ensp; ';
                echo "<a href='index.php?privat=$ank[id]&amp;mess=$post[id]'> " . __('Приватно') . "</a> &ensp; ";
                echo "</small>";
            }
            if (user_access('guest_delete') || $ank['id'] == $user['id'] && $post['time'] > time() - 600) {
                echo "<small style='color:grey'>";
                echo '<a href="edit_komm.php?id=' . $post['id'] . '">' . __('Редактировать') . '</a> &ensp; ';
                echo "</small>";
            }
            if (($user['level'] > $ank['level'] || $user['level'] != 0 && $user['id'] == $ank['id']) && user_access('guest_settings')) {
                echo "<small style='color:grey'>";
                if ($post['hide'] == 0) {
                    echo "<a href='index.php?hide=$post[id]'>" . __('Скрыть') . "</a> &ensp; ";
                } else {
                    echo "<a href='index.php?display=$post[id]'>" . __('Показать') . "</a> &ensp; ";
                }
                echo "</small>";
            }
            if ($ank['id'] != $user['id'] && $post['hide'] == 0) {
                echo "<small style='color:grey'>";
                echo "<a href='index.php?spam=$post[id]' class='item'>" . __('Жалоба') . "</a> &ensp; ";
                echo '</small>';
            }
            if (isset($user) && ($user['level'] > $ank['level'] || $user['level'] != 0 && $user['id'] == $ank['id']) && user_access('guest_delete')) {
                echo "<small style='color:grey'>";
                echo '<a href="delete.php?id=' . $post['id'] . '">' . __('Удалить') . '</a>';
                echo '</small>';
            }

            echo '</div>';
            echo '</div>';
        }
    }
}

echo '</div>';
echo '</div>';

if ($k_page > 1) {
    str('index.php?', $k_page, $page);
} // Вывод страниц

echo '</div>'; // ui segments
// Форма очистки комментов
include 'inc/admin_form.php';

include_once '../sys/inc/tfoot.php';
?>