<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title'] = __('Топ активных'); // заголовок страницы
require_once H . 'sys/inc/thead.php';

title();
aut();

echo "<div class='ui segments'>";

$k_post = dbresult(dbquery("SELECT COUNT(id) FROM `user` WHERE `guest_mess` > '0'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

$q = dbquery("SELECT * FROM `user` WHERE `guest_mess` > '0' ORDER BY `guest_mess` DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo '<div class="ui segment">';
    echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
    echo '</div>';
} else {
    echo "<div class='ui segment'>\n";
    echo "<div class='ui divided list'>\n";

    while ($ank = dbassoc($q)) {

        $post = dbresult(dbquery("SELECT COUNT(id) FROM `guest` WHERE `id_user` = '$ank[id]'"), 0);
        echo "<div class='item'>\n";
        echo user::avatar($ank['id'], 0, 'ui avatar image');
        echo "<div class='content'>\n";

        echo "<div class='header'>\n";
        echo group($ank['id']) . user::nick($ank['id']);
        echo online($ank['id']);
        echo "</div>\n";
        echo "<div class='description'>\n";
        echo "<small class='grey'><i class='mdi mdi-comment-processing-outline'></i> " . __('Всего') . " $ank[guest_mess] &#183; " . __('активных') . " $post</small>";
        echo "</div>"; // description
        echo "</div>"; // content
        echo "</div>"; // item
    }
    echo "</div>"; // ui divided list
    echo "</div>"; // ui segment
}
if ($k_page > 1) {
    str('top.php?', $k_page, $page);
}
echo "<div class='ui segment'><a href='/guest/'><i class='mdi mdi-arrow-left'></i> " . __('Гостевая') . "</a></div>";

echo "</div>"; // ui segments

require_once H . 'sys/inc/tfoot.php';
