CREATE TABLE `adm_menu` (
  `id` int(11) NOT NULL,
  `type` enum('link','razd') NOT NULL DEFAULT 'link',
  `name` varchar(99) NOT NULL,
  `url` varchar(99) NOT NULL,
  `counter` varchar(99) NOT NULL,
  `pos` int(11) NOT NULL DEFAULT '0',
  `img` varchar(99) DEFAULT 'animation-outline',
  `accesses` varchar(99) DEFAULT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Панель управления';

--
-- Дамп данных таблицы `adm_menu`
--

INSERT INTO `adm_menu` (`id`, `type`, `name`, `url`, `counter`, `pos`, `img`, `accesses`, `time`) VALUES
(1, 'razd', 'DCMS Social : D-SE', '', '', 1, 'alpha-d-circle', '', 1641320869),
(2, 'link', 'Список изменений', 'changelog.php', '', 2, 'file-document-edit-outline', 'adm_panel_show', 1641320489),
(3, 'link', 'Скачать DCMS Social', '/launcher.php', '', 3, 'content-save', 'adm_panel_show', 1641321137),
(4, 'link', 'Скачать D-SE', 'd-se.php', '', 4, 'content-save-outline', 'adm_panel_show', 1641322253),
(5, 'razd', 'Настройки', '', '', 5, 'tune', '', 1640708149),
(6, 'link', 'Чат', 'settings_chat.php', '', 6, 'chat-outline', 'adm_set_chat', 1640621300),
(7, 'link', 'Форум', 'settings_forum.php', '', 7, 'forum', 'adm_set_forum', 1640621138),
(8, 'link', 'Главное меню', 'menu.php', '', 8, 'microsoft-xbox-controller-menu', 'adm_menu', 1640620954),
(9, 'link', 'Панель управления', 'adm_menu.php', '', 9, 'account-tie-hat-outline', 'adm_panel_menu', 1640621682),
(10, 'link', 'Система', 'settings_sys.php', '', 10, 'cogs', 'adm_set_sys', 1640621050),
(11, 'link', 'Пользователи', 'settings_user.php', '', 11, 'account-multiple', 'adm_set_user', 1640621174),
(12, 'link', 'Фотогалерея', 'settings_foto.php', '', 12, 'image-multiple', 'adm_set_foto', 1640621328),
(13, 'link', 'Теги HTML', 'settings_bbcode.php', '', 13, 'code-array', 'adm_set_sys', 1640621080),
(14, 'link', 'Загрузки', 'settings_loads.php', '', 14, 'arrow-down-bold-circle-outline', 'adm_set_loads', 1640621270),
(15, 'link', 'Гостевая', 'guest_settings.php', '', 15, 'pencil', 'guest_settings', 1642174042),
(16, 'link', 'Темы оформления', 'themes.php', '', 16, 'palette', 'adm_themes', 1640621555),
(17, 'link', 'Добавить новость', '/news/add.php', '', 17, 'newspaper-plus', 'adm_news', 1640621019),
(18, 'link', 'Кабинет', 'cabinet.php', '', 18, 'account-details', 'adm_cabinet', 1642765415),
(19, 'link', 'Админ панель', 'toolbar.php', '', 19, 'animation-outline', 'toolbar', 1643119358),
(20, 'link', 'Магазин', 'shop.php', '', 20, 'basket', 'shop', 1643300588),
(21, 'razd', 'Журналирование', '', '', 21, 'clipboard-text', '', 1640711369),
(22, 'link', 'Действия администрации', 'adm_log.php', '', 22, 'account-details-outline', 'adm_log_read', 1640620914),
(23, 'link', 'Статистика сайта', 'statistic.php', '', 23, 'equalizer', 'adm_statistic', 1640620841),
(24, 'link', 'Рефералы', 'referals.php', '', 24, 'cursor-default', 'adm_ref', 1640621393),
(25, 'razd', 'Информация', '', '', 25, 'information', '', 1640711369),
(26, 'link', 'Информация о сервере', 'info.php', '', 26, 'server', 'adm_info', 1640620799),
(27, 'link', 'Права на папки', 'rights.php', '', 27, 'folder-open-outline', 'adm_folder_rights', 1640620799),
(28, 'razd', 'Администрирование', '', '', 28, 'account-tie', '', 1640713475),
(29, 'link', 'Реклама и баннеры', 'rekl.php', '', 29, 'billboard', 'adm_rekl', 1640620990),
(30, 'link', 'Администрация', 'administration.php', '', 30, 'account-tie-hat-outline', 'adm_show_adm', 1640620881),
(31, 'link', 'Привилегии', 'accesses.php', '', 31, 'account-key-outline', 'adm_accesses', 1640621205),
(32, 'link', 'Нарушители', 'banlist.php', '', 32, 'account-cancel', 'adm_banlist', 1640621234),
(33, 'link', 'Удаление пользователей', '/adm_panel/delete_users.php', '', 33, 'account-remove', 'user_mass_delete', 1640713224),
(34, 'link', 'Синхронизация таблиц форума', 'forum_sinc.php', '', 34, 'table-sync', 'adm_forum_sinc', 1640621359),
(35, 'link', 'IP операторы', 'opsos.php', '', 35, 'ip-network', 'adm_ip_edit', 1640621424),
(36, 'link', 'Бан IP диапазона', 'ban_ip.php', '', 36, 'ip-outline', 'adm_ban_ip', 1640621457),
(37, 'link', 'MySQL запросы', 'mysql.php', '', 37, 'database', 'adm_mysql', 1640621491),
(38, 'link', 'Заливка таблиц', 'tables.php', '', 38, 'database-arrow-left-outline', 'adm_mysql', 1640621525),
(39, 'link', 'Виджеты', 'widget.php', '', 39, 'widgets', 'widget', 1642509132),
(40, 'link', 'Управление смайлами', '/plugins/smiles/admin/', '', 40, 'emoticon-outline', 'adm_panel_show', 1642509132);

ALTER TABLE `adm_menu`
  ADD PRIMARY KEY (`id`),
  ADD KEY `pos` (`pos`);

ALTER TABLE `adm_menu`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
COMMIT;
