CREATE TABLE IF NOT EXISTS `smiles_categories` (
    `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
    `name` varchar(32) NOT NULL COMMENT 'Название',
    `description` varchar(100) NOT NULL COMMENT 'Описание',
    `position` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Позиция',
    `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Уровень',
    PRIMARY KEY (`id`),
    KEY `position` (`position`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Категории смайлов';

INSERT INTO `smiles_categories` (`id`, `name`, `description`, `position`, `level`) VALUES
(1, 'Миньоны', null, 1, 0),
(2, 'Рождество с Чарли Брауном', null, 2, 0),
(3, 'Нравится', null, 3, 0),
(4, 'Смайлы', null, 4, 0);

CREATE TABLE IF NOT EXISTS `smiles_list` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL COMMENT 'Название',
  `id_dir` int(10) unsigned NOT NULL COMMENT 'ID Категории',
  `desc` varchar(50) NOT NULL COMMENT 'Вызов',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Список смайлов';

INSERT INTO `smiles_list` (`id`, `name`, `id_dir`, `desc`) VALUES
(1, 'min', 1, '.min.'),
(2, 'min1', 1, '.min1.'),
(3, 'min2', 1, '.min2.'),
(4, 'min3', 1, '.min3.'),
(5, 'min4', 1, '.min4.'),
(6, 'min5', 1, '.min5.'),
(7, 'min6', 1, '.min6.'),
(8, 'min7', 1, '.min7.'),
(9, 'min8', 1, '.min8.'),
(10, 'min9', 1, '.min9.'),
(11, 'charli', 2, '.charli.'),
(12, 'charli1', 2, '.charli1.'),
(13, 'charli2', 2, '.charli2.'),
(14, 'charli3', 2, '.charli3.'),
(15, 'charli4', 2, '.charli4.'),
(16, 'charli5', 2, '.charli5.'),
(17, 'charli6', 2, '.charli6.'),
(18, 'charli7', 2, '.charli7.'),
(19, 'charli8', 2, '.charli8.'),
(20, 'charli9', 2, '.charli9.'),
(21, 'charli10', 2, '.charli10.'),
(22, 'charli11', 2, '.charli11.'),
(23, 'charli12', 2, '.charli12.'),
(24, 'charli13', 2, '.charli13.'),
(25, 'charli14', 2, '.charli14.'),
(26, 'charli15', 2, '.charli15.'),
(27, 'fac', 3, '.fac.'),
(28, 'fac1', 3, '.fac1.'),
(29, 'fac2', 3, '.fac2.'),
(30, 'fac3', 3, '.fac3.'),
(31, 'fac4', 3, '.fac4.'),
(32, 'fac5', 3, '.fac5.'),
(33, 'fac6', 3, '.fac6.'),
(34, 'fac7', 3, '.fac7.'),
(35, 'fac8', 3, '.fac8.'),
(36, 'fac9', 3, '.fac9.'),
(37, 'fac10', 3, '.fac10.'),
(38, 'fac11', 3, '.fac11.'),
(39, 'sm', 4, '.sm.'),
(40, 'sm1', 4, '.sm1.'),
(41, 'sm2', 4, '.sm2.'),
(42, 'sm3', 4, '.sm3.'),
(43, 'sm4', 4, '.sm4.'),
(44, 'sm5', 4, '.sm5.'),
(45, 'sm6', 4, '.sm6.'),
(46, 'sm7', 4, '.sm7.'),
(47, 'sm8', 4, '.sm8.'),
(48, 'sm9', 4, '.sm9.'),
(49, 'sm10', 4, '.sm10.'),
(50, 'sm11', 4, '.sm11.'),
(51, 'sm12', 4, '.sm12.'),
(52, 'sm13', 4, '.sm13.'),
(53, 'sm14', 4, '.sm14.'),
(54, 'sm15', 4, '.sm15.'),
(55, 'sm16', 4, '.sm16.'),
(56, 'sm17', 4, '.sm17.'),
(57, 'sm18', 4, '.sm18.'),
(58, 'sm19', 4, '.sm19.'),
(59, 'sm20', 4, '.sm20.'),
(60, 'sm21', 4, '.sm21.'),
(61, 'sm22', 4, '.sm22.'),
(62, 'sm23', 4, '.sm23.'),
(63, 'sm24', 4, '.sm24.'),
(64, 'sm25', 4, '.sm25.'),
(65, 'sm26', 4, '.sm26.'),
(66, 'sm27', 4, '.sm27.'),
(67, 'sm28', 4, '.sm28.'),
(68, 'sm29', 4, '.sm29.'),
(69, 'sm30', 4, '.sm30.'),
(70, 'sm31', 4, '.sm31.'),
(71, 'sm32', 4, '.sm32.'),
(72, 'sm33', 4, '.sm33.'),
(73, 'sm34', 4, '.sm34.'),
(74, 'sm35', 4, '.sm35.'),
(75, 'sm36', 4, '.sm36.'),
(76, 'sm37', 4, '.sm37.'),
(77, 'sm38', 4, '.sm38.'),
(78, 'sm39', 4, '.sm39.'),
(79, 'sm40', 4, '.sm40.'),
(80, 'sm41', 4, '.sm41.'),
(81, 'sm42', 4, '.sm42.'),
(82, 'sm43', 4, '.sm43.'),
(83, 'sm44', 4, '.sm44.'),
(84, 'sm45', 4, '.sm45.'),
(85, 'sm46', 4, '.sm46.'),
(86, 'sm47', 4, '.sm47.'),
(87, 'sm48', 4, '.sm48.'),
(88, 'sm49', 4, '.sm49.'),
(89, 'sm50', 4, '.sm50.'),
(90, 'sm51', 4, '.sm51.'),
(91, 'sm52', 4, '.sm52.'),
(92, 'sm53', 4, '.sm53.'),
(93, 'sm54', 4, '.sm54.'),
(94, 'sm55', 4, '.sm55.'),
(95, 'sm56', 4, '.sm56.'),
(96, 'sm57', 4, '.sm57.'),
(97, 'sm58', 4, '.sm58.'),
(98, 'sm59', 4, '.sm59.'),
(99, 'sm60', 4, '.sm60.'),
(100, 'sm61', 4, '.sm61.'),
(101, 'sm62', 4, '.sm62.'),
(102, 'sm63', 4, '.sm63.'),
(103, 'sm64', 4, '.sm64.'),
(104, 'sm65', 4, '.sm65.'),
(105, 'sm66', 4, '.sm66.'),
(106, 'sm67', 4, '.sm67.');








