CREATE TABLE `toolbar` (
  `id` int(11) NOT NULL,
  `type` enum('link','razd') NOT NULL DEFAULT 'link',
  `name` varchar(99) NOT NULL,
  `url` varchar(99) NOT NULL,
  `counter` varchar(99) NOT NULL,
  `pos` int(11) NOT NULL DEFAULT '0',
  `img` varchar(99) DEFAULT 'animation-outline',
  `accesses` varchar(99) DEFAULT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Панель управления';

INSERT INTO `toolbar` (`id`, `type`, `name`, `url`, `counter`, `pos`, `img`, `accesses`, `time`) VALUES
(1, 'link', 'Панель управления', '/adm_panel/', '', 1, 'account-tie-hat', 'adm_panel_show', 1643119510),
(2, 'link', 'Разделы', '/plugins/admin/', '', 2, 'menu-open', 'adm_panel_show', 1643120854),
(3, 'link', 'D-SE', 'http://dse-s.com', '', 4, 'alpha-d-circle-outline Contributors templarian', 'adm_panel_show', 1643120917),
(4, 'link', 'Жалобы', '/plugins/admin/spam/', '/plugins/admin/spam/count.php', 3, 'animation-outline', 'adm_panel_show', 1669999176);

ALTER TABLE `toolbar`
  ADD PRIMARY KEY (`id`),
  ADD KEY `pos` (`pos`);

ALTER TABLE `toolbar`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
COMMIT;
