<?php

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}


if (isset($user) && $user['level'] < 4) {
    echo '<div class="ui negative message">' . __('Доступ закрыт') . '</div>';
} else {
    $set['title'] = __('Управление смайлами');
    require_once H . 'sys/inc/thead.php';

    title();
    
    aut();
    only_reg();

    if (isset($_GET['dir'])) {
        msg('Директория удалена.');
    } elseif (isset($_GET['desc'])) {
        msg('Смайл удалён');
    }
    echo "<div class='ui segments'>";

    echo "<div class='ui secondary segment'>" . __('Категории') . "</div>";

    echo "<div class='ui segment'>";
    echo "<img src='/style/icons/smile.png' style='margin-top: -10px;margin-left: -14px;margin-bottom: -19px;'/>";
    echo "</div>";

    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `smiles_categories`"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    if ($k_post == 0) {
        echo'<div class="ui segment">';
        echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
        echo'</div>';
    } else {

        $q = dbquery("SELECT * FROM `smiles_categories` ORDER BY `position` ASC LIMIT $start, $set[p_str]");
        echo "<div class='ui segment'>\n";
        echo "<div class='ui divided list'>\n";
        while ($post = dbassoc($q)) {

            $smile = dbresult(dbquery("SELECT COUNT(*) FROM `smiles_list` WHERE `id_dir` = '$post[id]'"), 0);

            echo "<div class='item'>\n";

       
            if (is_file(H . 'style/smiles/' . $post['id'] . '.png')) {
                echo "<img src='/style/smiles/$post[id].png' alt='$post[name]' class='ui image' width='30'>";
            }
            echo "<div class='content'>\n";

            echo "<div class='header'>\n";
            echo "<a href='dir.php?id=$post[id]'> " . output_text(__($post['name'])) . "</a> " . ($smile ? $smile : null) . "";
            echo "</div>\n";
            echo "<div class='description'>\n";
            if ($post['description']) {
                echo output_text($post['description']) . "<br />";
            }
            echo "<small style='color: green'>" . __('Уровень') . ": ";
            if ($post['level'] == 0) {
                echo __('Пользователь');
            } else if ($post['level'] == 1) {
                echo __('Модератор');
            } else if ($post['level'] == 2) {
                echo __('Супер модератор');
            } else if ($post['level'] == 3) {
                echo __('Администратор');
            } else if ($post['level'] == 4) {
                echo __('Главный администратор');
            }
            echo "</small>\n";
            echo "</div>\n"; // description
                   echo "<a href='edit.php?id=$post[id]&amp;act=img_cat' class='item'><i class='mdi mdi-image'></i> " . __('Изображение') . "</a> ";
            echo "<a href='edit.php?id=$post[id]&amp;act=dir' class='item'><i class='mdi mdi-rename-box'></i> " . __('Редактировать') . "</a> ";
            echo "<a href='del.php?id=$post[id]&amp;act=dir' class='item'><i class='mdi mdi-delete'></i> " . __('Удалить') . "</a>";

            echo "</div>\n"; // content
            echo "</div>"; // item
        }
        echo "</div>";
        echo "</div>";

        if ($k_page > 1) {
            str('index.php?', $k_page, $page);
        }
    }

    echo "<div class='ui segment'><a href='add.php?act=smile'><i class='mdi mdi-plus'></i> " . __('Добавить смайл') . "</a></div>";
    echo "<div class='ui segment'><a href='add.php?act=dir'><i class='mdi mdi-plus'></i> " . __('Добавить категорию') . "</a></div>";
    echo "</div>";
}

require_once H . 'sys/inc/tfoot.php';
