<?PHP

if (isset($user) && $user['set_news']) {
    echo "<div class='ui segments'>";
    /* Новости */
    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `news`"), 0);
    $q = dbquery("SELECT * FROM `news` ORDER BY `id` DESC LIMIT 2");

    echo "<div class='ui secondary segment'>";
    echo "<a href='/news/'>";
    echo "<i class='mdi mdi-rss-box'></i> " . __('Новости') . " ";
    echo "<span style='float:right' class='ui basic label'>";
    include H . 'news/count.php';
    echo "</span>";
    echo "</a>";
    echo "</div>";

    if ($k_post > 0) {
        echo "<div class='ui segment'>";

        while ($post = dbassoc($q)) {
            echo "<a href='/news/news.php?id=$post[id]'><h3>" . htmlspecialchars($post['title']) . "</h3></a>\n";
            echo rez_text2(output_text($post['msg']));
            if ($post['link'] != NULL) {
                echo "<br /><a href='" . htmlentities($post['link'], ENT_QUOTES, 'UTF-8') . "'>" . __('Источник') . " </a>\n";
            }

            echo " &ensp; <small style='color:grey'>" . date::timek($post['time']) . " &ensp; <i class='mdi mdi-comment'></i> " . dbresult(dbquery("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '$post[id]'"), 0) . "</small><br /><br />\n";
        }
        echo "</div>\n";
    } else {
        echo "<div class='ui center aligned segment'><br /><i class='mdi mdi-rss-box mdi-48px'></i><br /> " . __('Пока новостей нет') . "</div>";
    }

    echo "</div>\n";
}
if (isset($user)) {
    // новости 
    if ($user['set_news'] == 1) {
        include_once 'sys/inc/news_main.php';
    }
    include_once 'sys/inc/widget.php';
}


echo "<div class='ui segments'>";

/*  Чат комнаты */
echo "<div class='ui segment'>";
echo "<a href='/chat/'>";
echo "<i class='mdi mdi-chat'></i> " . __('Чат') . " ";
echo "<span style='float:right' class='ui basic label'>";
include H . 'chat/count.php';
echo "</span>";
echo "</a>";
echo '</div>';

$q = dbquery("SELECT * FROM `chat_rooms` ORDER BY `pos` ASC");
if (dbrows($q) != 0) {
    while ($room = dbassoc($q)) {

        echo "  <div class='ui segment'>\n";

        echo "<i class='mdi mdi-chat'></i> ";

        echo "<a href='/chat/room/$room[id]/" . rand(1000, 9999) . "/'>$room[name] (" . dbresult(dbquery("SELECT COUNT(*) FROM `chat_who` WHERE `room` = '$room[id]'"), 0) . ")</a><br />\n";

        if ($room['opis'] != NULL) {
            echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($room['opis'])))))))) . "<br />\n";
        }
        echo "</div>";
    }
}
echo "</div>"; //ui segments
?>