<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

only_reg();

$set['title'] = __('Настройки вида и отображения');
include_once '../../sys/inc/thead.php';

title();

if (isset($_POST['save'])) {

    if (isset($_POST['set_p_str']) && is_numeric($_POST['set_p_str']) && $_POST['set_p_str'] > 0 && $_POST['set_p_str'] <= 100) {
        $user['set_p_str'] = intval($_POST['set_p_str']);
        $set['p_str'] = $user['set_p_str'];
        dbquery("UPDATE `user` SET `set_p_str` = '$user[set_p_str]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = __('Неправильное количество пунктов на страницу');
    }

    if (isset($_POST['str_forum']) && is_numeric($_POST['str_forum']) && $_POST['str_forum'] > 0 && $_POST['str_forum'] <= 10) {
        $user['str_forum'] = intval($_POST['str_forum']);
        dbquery("UPDATE `user_set` SET `str_forum` = '" . $user['str_forum'] . "' WHERE `id_user` = '" . $user['id'] . "' LIMIT 1");
    } else {
        $err[] = __('Неправильное количество тем форума');
    }
    if (isset($_POST['str_blogs']) && is_numeric($_POST['str_blogs']) && $_POST['str_blogs'] > 0 && $_POST['str_blogs'] <= 10) {
        $user['str_blogs'] = intval($_POST['str_blogs']);
        dbquery("UPDATE `user_set` SET `str_blogs` = '" . $user['str_blogs'] . "' WHERE `id_user` = '" . $user['id'] . "' LIMIT 1");
    } else {
        $err[] = __('Неправильное количество блогов');
    }
    if (isset($_POST['set_files']) && ($_POST['set_files'] == 1 || $_POST['set_files'] == 0)) {
        $user['set_files'] = intval($_POST['set_files']);
        dbquery("UPDATE `user` SET `set_files` = '$user[set_files]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = __('Ошибка режима файлов');
    } /* Метка 18+ */

    $user['include_forum'] = (isset($_POST['include_forum']) && $_POST['include_forum']) ? '1' : '0';
    dbquery("UPDATE `user_set` SET `include_forum` = '" . $user['include_forum'] . "' WHERE `id_user` = '" . $user['id'] . "' LIMIT 1");

    $user['view_menu'] = (isset($_POST['view_menu']) && $_POST['view_menu']) ? '1' : '0';
    dbquery("UPDATE `user_set` SET `view_menu` = '" . $user['view_menu'] . "' WHERE `id_user` = '" . $user['id'] . "' LIMIT 1");

    $user['include_blogs'] = (isset($_POST['include_blogs']) && $_POST['include_blogs']) ? '1' : '0';
    dbquery("UPDATE `user_set` SET `include_blogs` = '" . $user['include_blogs'] . "' WHERE `id_user` = '" . $user['id'] . "' LIMIT 1");

    if (!isset($err)) {
        $_SESSION['message'] = __('Изменения сохранены');
        header("Location: ?");
        exit;
    }
}

err();
aut();

echo "<form method='post' class='ui form segment' action='?$passgen'>\n";
echo "<div class='field'>";
echo "<label>" . __('Пунктов на страницу') . ":</label>\n<input type='text' name='set_p_str' value='$set[p_str]' maxlength='3' />\n";
echo "</div>\n";
?>
<div class="field">
    <label><?= __('Количество выводимых тем форума на главной') ?></label>
    <div class="two fields">
        <div class="field">
            <select name="str_forum" class="ui fluid dropdown">
                <option value="3"<?= ($user_set['str_forum'] == 3 ? ' selected="selected"' : null) ?>>3 <?= __('темы') ?></option>
                <option value="5"<?= ($user_set['str_forum'] == 5 ? ' selected="selected"' : null) ?>>5 <?= __('тем') ?></option>
                <option value="7"<?= ($user_set['str_forum'] == 7 ? ' selected="selected"' : null) ?>>7 <?= __('тем') ?></option>
                <option value="10"<?= ($user_set['str_forum'] == 10 ? ' selected="selected"' : null) ?>>10 <?= __('тем') ?></option>
            </select>
        </div>
        <div class="field">

            <select name="include_forum" class="ui fluid dropdown">
                <option value="0"<?= ($user_set['include_forum'] == 0 ? ' selected="selected"' : null) ?>><?= __('Отключен') ?></option>
                <option value="1"<?= ($user_set['include_forum'] == 1 ? ' selected="selected"' : null) ?>><?= __('Включен') ?></option>
            </select>
        </div>
    </div>
</div>
<div class="field">
    <label><?= __('Количество выводимых блогов на главной') ?></label>
    <div class="two fields">
        <div class="field">
            <select name="str_blogs" class="ui fluid dropdown">
                <option value="3"<?= ($user_set['str_blogs'] == 3 ? ' selected="selected"' : null) ?>>3 <?= __('блога') ?></option>
                <option value="5"<?= ($user_set['str_blogs'] == 5 ? ' selected="selected"' : null) ?>>5 <?= __('блогов') ?></option>
                <option value="7"<?= ($user_set['str_blogs'] == 7 ? ' selected="selected"' : null) ?>>7 <?= __('блогов') ?></option>
                <option value="10"<?= ($user_set['str_blogs'] == 10 ? ' selected="selected"' : null) ?>>10 <?= __('блогов') ?></option>
            </select>
        </div>
        <div class="field">
            <select name="include_blogs" class="ui fluid dropdown">
                <option value="0"<?= ($user_set['include_blogs'] == 0 ? ' selected="selected"' : null) ?>><?= __('Отключен') ?></option>
                <option value="1"<?= ($user_set['include_blogs'] == 1 ? ' selected="selected"' : null) ?>><?= __('Включен') ?></option>
            </select>
        </div>
    </div>
</div>
<div class="field">
    <label><?= __('Вид меню в профиле') ?></label>
    <select name="view_menu" class="ui compact dropdown">
        <option value="1"<?= ($user_set['view_menu'] == 1 ? ' selected="selected"' : null) ?>><?= __('Плитка') ?></option>
        <option value="0"<?= ($user_set['view_menu'] == 0 ? ' selected="selected"' : null) ?>><?= __('Список') ?></option>
    </select>
</div>
<?php
echo "<div class='field'>";
echo "<label>" . __('Форма выгрузки файлов') . ":</label>\n<select name='set_files'>\n";
echo "<option value='1'" . ($user['set_files'] == 1 ? " selected='selected'" : null) . ">" . __('Показывать поле') . "</option>\n";
echo "<option value='0'" . ($user['set_files'] == 0 ? " selected='selected'" : null) . ">" . __('Не использовать выгрузку') . "</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<button class='ui compact blue labeled icon button' name='save'><i class='mdi mdi-check icon'></i> " . __('Сохранить') . "</button>\n";
echo "</form>\n";

echo "<div class=\"ui segment\">\n";
echo "<a href='/info.php?id=$user[id]'>$user[nick]</a> | \n";
echo "<a href='/user/settings/'><b>" . __('Настройки') . "</b></a>\n";
echo "</div>\n";
include_once '../../sys/inc/tfoot.php';
?>